Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020584
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2012-05-23 11:312012-05-28 11:48
ReportermtaalView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisiond94e3a7bc14b
ProjectionnoneETAnoneTarget Version3.0MP12
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020584: JS error when resizing column in edit mode

DescriptionWhen in grid editing mode and resizing the column a js errors. This is caused by this line in ob-view-form.js:

This error was introduced by this changeset:
https://code.openbravo.com/erp/devel/pi/diff/634e843d6f22/modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js#l1.20 [^]

see the specific line
Steps To ReproduceOpen sales order window, create a new header in grid mode, grid editing, resize a column an undefined js error occurs.
Proposed SolutionChange this line:
        this.view.toolBar.updateButtonState(true);

to:
        me.view.toolBar.updateButtonState(true);

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0048889)
hgbot (developer)
2012-05-23 17:43

Repository: erp/devel/pi
Changeset: d94e3a7bc14b3eaa6d87df323ed8ada31eafa909
Author: Guillermo Álvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed May 23 17:42:00 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d94e3a7bc14b3eaa6d87df323ed8ada31eafa909 [^]

Fixed issue 20584: An error in the source code has been corrected.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0048890)
guilleaer (developer)
2012-05-23 17:47

Test plan:
Follow the steps to reproduce. No errors are shown in the JS console after this fix.

This fix is not risky
(0049191)
hudsonbot (developer)
2012-05-25 12:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049346)
migueldejuana (developer)
2012-05-28 11:48

Code reviewed and verified on pi@c49d26d67c20

- Issue History
Date Modified Username Field Change
2012-05-23 11:31 mtaal New Issue
2012-05-23 11:31 mtaal Assigned To => marvintm
2012-05-23 11:31 mtaal Modules => Core
2012-05-23 15:31 guilleaer Assigned To marvintm => guilleaer
2012-05-23 17:43 hgbot Checkin
2012-05-23 17:43 hgbot Note Added: 0048889
2012-05-23 17:43 hgbot Status new => resolved
2012-05-23 17:43 hgbot Resolution open => fixed
2012-05-23 17:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d94e3a7bc14b3eaa6d87df323ed8ada31eafa909 [^]
2012-05-23 17:47 guilleaer Note Added: 0048890
2012-05-25 12:13 hudsonbot Checkin
2012-05-25 12:13 hudsonbot Note Added: 0049191
2012-05-28 11:48 migueldejuana Note Added: 0049346
2012-05-28 11:48 migueldejuana Status resolved => closed
2012-05-28 11:48 migueldejuana Fixed in Version => pi


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker